%define         snap_date  20070514

Name:           gwave
Version:        2
Release:        11.%{snap_date}snap%{?dist}
Summary:        GPLed Analog Waveform Viewing Environment

License:        GPLv2+
Group:          Applications/Engineering
URL:            http://www.geda.seul.org/tools/gwave/index.html

Source:         http://www.telltronics.org/pub/gwave/%{name}2-%{snap_date}.tar.gz
Source1:        %{name}.desktop

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel guile-devel readline-devel desktop-file-utils
BuildRequires:  g-wrap-devel guile-gnome-platform-devel

%if %{fedora} < 9
BuildRequires:  libtermcap-devel
%endif

BuildRequires:  ncurses-devel plotutils

ExcludeArch:    ppc64

Requires:       electronics-menu guile-gnome-platform-devel

%description

Gwave is a waveform viewer, intended originaly for displaying the output
of analog simulators such as spice, but also useful for other purposes.
Gwave can read tabluar ascii files in addition to the specialized output
files from Spice3, NGSpice, and Hspice. It displays the data as 2-D plots,
and allows for scrolling, zooming, and measuring the waveforms.

Install gwave if you need 2-D interactive display of analog waveforms or
other tabluar data.

%{name} is listed among Fedora Electronic Lab (FEL) packages.

%prep

echo %fedora

%setup -q -n %{name}2-%{snap_date}


#fixing wrong-script-interpreter
sed -i "s|/usr/local/bin|%{_bindir}|" examples/*gw
sed -i "s|/tmp/gwtest/bin|%{_bindir}|" examples/*gw
sed -i "s|/home/sgt/proj/gwave|%{_docdir}/%{name}-2|" examples/{aoi.W.tr0.gw,gwave.gw}
sed -i "s|/home/tell/proj/gwave|%{_docdir}/%{name}-2|" examples/pd2.N.gw
sed -i "s|../examples|%{_docdir}/%{name}-2/examples|" examples/gw


%build

%configure CFLAGS="$CFLAGS -fgnu89-inline"
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL="install -p" DESTDIR=%{buildroot} install


desktop-file-install --vendor fedora \
    --dir %{buildroot}%{_datadir}/applications/ \
    %{SOURCE1}

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/
%{__cp} -p icons/wave-drag-ok.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/%{name}.png


%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README FAQ TODO
%doc examples/
%{_bindir}/%{name}*
%{_bindir}/sp2sp
%{_bindir}/sweepsplit
%{_datadir}/guile/app/%{name}/
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png


%changelog
* Wed Nov 05 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 2-11.20070514snap
- Fixed crash by adding guile-gnome-platform-devel as Requires, upstream will be notified.

* Mon Nov 03 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 2-10.20070514snap
- rebuild due to segmentation fault - F10

* Wed Sep 03 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 2-9.20070514snap
- rebuild due to segmentation fault

* Fri Aug 29 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 2-8.20070514snap
- rebuild

* Sun Mar 30 2008 Thibault North <tnorth  [AT] fedoraproject DOT org> - 2-7.20070514snap
- Fixed and improved compilation with guile for GCC 4.3

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2-6.20070514snap
- Autorebuild for GCC 4.3

* Mon Jan 21 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 2-5.20070514snap
- rebuilt due to dependency breakage

* Sun Dec 30 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 2-4.20070514snap
- Fixed obsoleted libtermcap-devel in rawhide

* Fri Dec 20 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 2-3.20070514snap
- Removed icon's extension from desktop file as described in the Icon Theme Specification

* Mon Nov 19 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 2-2.20070514snap
- Exclude PPC and PPC64 architectures
- Removed guile-cairo-devel from BR

* Tue Jul 24 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 2-1.20070514snap
- Initial Package for fedora collection

* Mon Dec  19 2003 Steve Tell <steve@telltronics.org>
- updates for Redhat 9, gwave-20031224

* Mon Aug  4 2003 Steve Tell <steve@telltronics.org>
- updates for Redhat 9, gwave-20030804

* Thu Nov 23 2000 Steve Tell <steve@telltronics.org>
- Created spec file for first RPM.

